> For the complete documentation index, see [llms.txt](https://docs.xorosoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xorosoft.com/developers-api/invoice-management/list-invoices.md).

# List Invoices

Retrieves List of invoices from the database. The data returned from this API will be paged\
Paging supported.

```json
{"openapi":"3.0.3","info":{"title":"Xorosoft ERP Public API","version":"2026.07"},"tags":[{"name":"Invoice Management","description":"Use Invoice Management APIs to retrieve invoices, create invoice payments, and apply credits or deposits. These endpoints are useful for payment, accounting, ecommerce, and customer portal integrations that need invoice visibility and payment synchronization."}],"servers":[{"url":"https://res.xorosoft.io","description":"Xorosoft ERP API server"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"scheme":"basic","type":"http"}}},"paths":{"/api/xerp/invoice/getinvoice":{"get":{"parameters":[{"description":"A comma-separated list of invoice ids.","in":"query","name":"id","required":false,"schema":{"type":"number"}},{"description":"A comma-separated list of invoice numbers.","in":"query","name":"invoice_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of sales order numbers.","in":"query","name":"so_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of customer names.","in":"query","name":"customer_name","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of third party reference numbers.","in":"query","name":"third_party_ref_no","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of invoice reference numbers.","in":"query","name":"ref_no","required":false,"schema":{"type":"string"}},{"description":"A comma separated list of stores.","in":"query","name":"store_name","required":false,"schema":{"type":"string"}},{"description":"Show invoices created at or after date (format: 2014-04-25T16:15:47-04:00).","in":"query","name":"created_at_min","required":false,"schema":{"type":"string"}},{"description":"Show invoices updated at or after date (format: 2014-04-25T16:15:47-04:00).","in":"query","name":"updated_at_min","required":false,"schema":{"type":"string"}},{"description":"Show invoices created at or before date (format: 2014-04-25T16:15:47-04:00).","in":"query","name":"created_at_max","required":false,"schema":{"type":"string"}},{"description":"Show invoices updated at or before date (format: 2014-04-25T16:15:47-04:00).","in":"query","name":"updated_at_max","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of statuses.","in":"query","name":"status","required":false,"schema":{"type":"string"}},{"description":"Boolean value that controls whether invoices with \"Pick Up\" or non-\"Pick Up\" terms are fetched.","in":"query","name":"has_shipment","required":false,"schema":{"type":"boolean"}},{"description":"Decides if only the header data to be returned. Default = false.","in":"query","name":"header_only","required":false,"schema":{"type":"boolean"}},{"description":"Page number for the query result set. Default = 1","in":"query","name":"page","required":true,"schema":{"type":"number"}},{"name":"since_id","in":"query","required":false,"description":"Return records with an identifier greater than this value.","schema":{"type":"string"}},{"name":"third_party_customer_id","in":"query","required":false,"description":"Customer identifier from the external system.","schema":{"type":"string"}},{"name":"third_party_company_id","in":"query","required":false,"description":"Company or account identifier from the external system.","schema":{"type":"string"}},{"name":"exclude_processed","in":"query","required":false,"description":"When true, excludes records already marked as processed.","schema":{"type":"boolean","default":false}},{"name":"so_ref_no","in":"query","required":false,"description":"Sales order reference number.","schema":{"type":"string"}},{"name":"third_party_source","in":"query","required":false,"description":"Name of the external system or channel that supplied the transaction.","schema":{"type":"string"}},{"name":"query","in":"query","required":false,"description":"Search text used by the endpoint where supported.","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"Data":{"items":{"properties":{"ImportError":{"type":"string","nullable":true},"IsBeingAutoCreated":{"type":"boolean"},"SimulatationFlag":{"type":"boolean"},"invoiceHeader":{"properties":{"AccntReceivableId":{"type":"string"},"AccntReceivableName":{"type":"string"},"AmountDue":{"type":"number"},"AmountPaid":{"type":"number"},"AmountToPay":{"type":"number"},"AuthorizationDetailList":{"type":"array","items":{"type":"object","additionalProperties":true},"nullable":true},"AutoCreateCarrierFlag":{"type":"boolean"},"BatchUploadFlag":{"type":"boolean"},"BillToAddr":{"type":"string"},"BillToAddr2":{"type":"string"},"BillToAddrName":{"type":"string","nullable":true},"BillToCity":{"type":"string"},"BillToCompanyName":{"type":"string"},"BillToCountry":{"type":"string"},"BillToEmail":{"type":"string"},"BillToFirstName":{"type":"string"},"BillToLastName":{"type":"string"},"BillToName":{"type":"string"},"BillToPhoneNumber":{"type":"string"},"BillToState":{"type":"string"},"BillToZpCode":{"type":"string"},"BrandId":{"type":"number","nullable":true},"BrandName":{"type":"string","nullable":true},"BuyerId":{"type":"number","nullable":true},"BuyerName":{"type":"string","nullable":true},"CarrierId":{"type":"number"},"CarrierName":{"type":"string"},"CounterNumber":{"type":"number","nullable":true},"CreateDttm":{"type":"string"},"CreateSource":{"type":"string"},"CreditApplied":{"type":"number"},"CurrencyCode":{"type":"string"},"CurrencyId":{"type":"number"},"CurrencyName":{"type":"string"},"CurrencySymbol":{"type":"string"},"CustomFieldH1":{"type":"string","nullable":true},"CustomFieldH10":{"type":"string","nullable":true},"CustomFieldH11":{"type":"string","nullable":true},"CustomFieldH12":{"type":"string","nullable":true},"CustomFieldH13":{"type":"string","nullable":true},"CustomFieldH14":{"type":"string","nullable":true},"CustomFieldH15":{"type":"string","nullable":true},"CustomFieldH16":{"type":"string","nullable":true},"CustomFieldH17":{"type":"string","nullable":true},"CustomFieldH18":{"type":"string","nullable":true},"CustomFieldH19":{"type":"string","nullable":true},"CustomFieldH2":{"type":"string","nullable":true},"CustomFieldH20":{"type":"string","nullable":true},"CustomFieldH21":{"type":"string","nullable":true},"CustomFieldH22":{"type":"string","nullable":true},"CustomFieldH23":{"type":"string","nullable":true},"CustomFieldH24":{"type":"string","nullable":true},"CustomFieldH25":{"type":"string","nullable":true},"CustomFieldH26":{"type":"string","nullable":true},"CustomFieldH27":{"type":"string","nullable":true},"CustomFieldH28":{"type":"string","nullable":true},"CustomFieldH29":{"type":"string","nullable":true},"CustomFieldH3":{"type":"string","nullable":true},"CustomFieldH30":{"type":"string","nullable":true},"CustomFieldH4":{"type":"string","nullable":true},"CustomFieldH5":{"type":"string","nullable":true},"CustomFieldH6":{"type":"string","nullable":true},"CustomFieldH7":{"type":"string","nullable":true},"CustomFieldH8":{"type":"string","nullable":true},"CustomFieldH9":{"type":"string","nullable":true},"CustomerDefaultBillingEmail":{"type":"string","nullable":true},"CustomerDefaultShipmentEmail":{"type":"string","nullable":true},"CustomerEmailCC":{"type":"string","nullable":true},"CustomerEmailMain":{"type":"string","nullable":true},"CustomerFirstName":{"type":"string","nullable":true},"CustomerFullName":{"type":"string"},"CustomerGroupId":{"type":"number"},"CustomerId":{"type":"number"},"CustomerLastName":{"type":"string","nullable":true},"CustomerMainPhone":{"type":"string","nullable":true},"CustomerMessage":{"type":"string"},"CustomerName":{"type":"string"},"CustomerPO":{"type":"string"},"CustomerServiceRepFullName":{"type":"string","nullable":true},"CustomerServiceRepId":{"type":"number","nullable":true},"CustomerTaxCodeId":{"type":"number"},"DepositApplied":{"type":"number"},"DiscountAccntId":{"type":"number","nullable":true},"DiscountAccntName":{"type":"string","nullable":true},"DiscountAmount":{"type":"number"},"DiscountApplied":{"type":"number"},"DiscountDate":{"type":"string","nullable":true},"DiscountToUse":{"type":"number"},"DiscountableAmount":{"type":"number"},"DueDate":{"type":"string"},"EmailedFlag":{"type":"boolean"},"ErrorOnTaxMismatch":{"type":"boolean"},"ExchangeRate":{"type":"number"},"ExchangeRateFormula":{"type":"string","nullable":true},"FobId":{"type":"number"},"FobName":{"type":"string"},"FullPaymentDate":{"type":"string","nullable":true},"Id":{"type":"number"},"ImportError":{"type":"string","nullable":true},"IntAccntId":{"type":"number","nullable":true},"InvoiceNumber":{"type":"string"},"ItemIncomeAccountId":{"type":"number","nullable":true},"ItemIncomeAccountName":{"type":"string","nullable":true},"LastEmailDttm":{"type":"string","nullable":true},"LastOverdueEmailDttm":{"type":"string","nullable":true},"MatchedFlag":{"type":"boolean"},"MaxDiscountAllowed":{"type":"number"},"Memo":{"type":"string"},"ModifyDttm":{"type":"string","nullable":true},"ModifySource":{"type":"string"},"NoTaxCompareFlag":{"type":"boolean"},"OldTxnDate":{"type":"string"},"OpeningBalanceFlag":{"type":"boolean"},"PaymentTermsId":{"type":"number"},"PaymentTermsName":{"type":"string"},"ProjectClassId":{"type":"number"},"ProjectClassName":{"type":"string"},"ReCalcShippingTaxesFlag":{"type":"boolean"},"ReCalcTaxesFlag":{"type":"boolean"},"RefId":{"type":"number","nullable":true},"RefNo":{"type":"string"},"ReportDataObj":{"properties":{"EntityAccntId":{"type":"string"},"EntityName":{"type":"string"},"ReportEntityId":{"type":"number"},"TxnRefId":{"type":"number"},"TxnRefNumber":{"type":"string"},"TxnTypeId":{"type":"number"}},"type":"object"},"ReportingDataText":{"type":"string","nullable":true},"RiskAnalysis":{"type":"string","nullable":true},"SaleStoreCode":{"type":"string","nullable":true},"SaleStoreId":{"type":"number"},"SaleStoreName":{"type":"string"},"SalesRepEmail":{"type":"string"},"SalesRepFullName":{"type":"string"},"SalesRepId":{"type":"string"},"ShipDate":{"type":"string"},"ShipMethodId":{"type":"number"},"ShipMethodName":{"type":"string"},"ShipServiceId":{"type":"number"},"ShipServiceName":{"type":"string"},"ShipToAddr":{"type":"string"},"ShipToAddr2":{"type":"string"},"ShipToAddrName":{"type":"string","nullable":true},"ShipToCity":{"type":"string"},"ShipToCompanyName":{"type":"string"},"ShipToCountry":{"type":"string"},"ShipToEmail":{"type":"string"},"ShipToFirstName":{"type":"string"},"ShipToLastName":{"type":"string"},"ShipToName":{"type":"string"},"ShipToPhoneNumber":{"type":"string"},"ShipToState":{"type":"string"},"ShipToZpCode":{"type":"string"},"ShipmentId":{"type":"number","nullable":true},"ShippingAmount":{"type":"number"},"ShippingCost":{"type":"number"},"ShippingCostCarrier":{"type":"number"},"ShippingCostCredited":{"type":"string","nullable":true},"ShippingNotes":{"type":"string"},"ShippingTaxCodeId":{"type":"number"},"ShippingTaxCodeName":{"type":"string"},"ShippingTaxData":{"properties":{"taxItems":{"items":{"properties":{"itemAmount":{"type":"number"},"itemId":{"type":"number"},"itemName":{"type":"string"},"itemRatePerc":{"type":"number"},"lineAmount":{"type":"number"}},"type":"object"},"type":"array"},"totalAmount":{"type":"number"}},"type":"object"},"ShippingTaxDataSerialized":{"type":"string","nullable":true},"ShippingTaxItems":{"items":{"properties":{"Id":{"type":"number"},"Name":{"type":"string"},"Rate":{"type":"number"},"RateType":{"type":"string"},"TotalAmount":{"type":"number"}},"type":"object"},"type":"array"},"ShippingTermsId":{"type":"number"},"ShippingTermsName":{"type":"string"},"ShippingTypeId":{"type":"number"},"ShippingTypeName":{"type":"string"},"SoId":{"type":"number"},"SoNumber":{"type":"number","nullable":true},"SoSubTypeId":{"type":"number","nullable":true},"SoToInvoice":{"type":"boolean"},"StatusId":{"type":"number"},"StatusName":{"type":"string"},"StoreCode":{"type":"string","nullable":true},"StoreId":{"type":"number"},"StoreName":{"type":"string"},"SubTotal":{"type":"number"},"SubTotalExclDiscount":{"type":"number"},"SysLockFlag":{"type":"boolean"},"Tags":{"type":"string"},"TaxCalcByAddress":{"type":"boolean"},"TaxCalcType":{"type":"string","nullable":true},"TaxOperationCountryCode":{"type":"string","nullable":true},"TaxSummaryDataText":{"type":"string","nullable":true},"ThirdPartyDefaultSKU":{"type":"string","nullable":true},"ThirdPartyDisplayName":{"type":"string"},"ThirdPartyIconUrl":{"type":"string"},"ThirdPartyRefNo":{"type":"string"},"ThirdPartySource":{"type":"string"},"ThirdPartyTotalAmount":{"type":"number","nullable":true},"ThirdPartyTotalTaxAmount":{"type":"number","nullable":true},"TotalAmount":{"type":"number"},"TotalPaidAmount":{"type":"number"},"TotalQty":{"type":"number"},"TotalTaxAmount":{"type":"number"},"TrackingNumbers":{"type":"string"},"TxnDate":{"type":"string"},"TxnId":{"type":"string"},"TxnNumber":{"type":"number"},"TxnTypeId":{"type":"number","nullable":true},"TypeId":{"type":"number"},"UnPostTranFlag":{"type":"boolean"},"UseDefaultSKUWhenError":{"type":"boolean"},"WaveNumbers":{"type":"string"},"searchField":{"type":"string","nullable":true}},"type":"object"},"invoiceItemLineArr":{"items":{"properties":{"AuthorizationDetailList":{"type":"array","items":{"type":"object","additionalProperties":true},"nullable":true},"BaseUomId":{"type":"number"},"BaseUomName":{"type":"string"},"CreateDttm":{"type":"string"},"CreateSource":{"type":"string","nullable":true},"CreditQty":{"type":"number"},"CustomFieldD1":{"type":"string"},"CustomFieldD10":{"type":"string"},"CustomFieldD11":{"type":"string"},"CustomFieldD12":{"type":"string"},"CustomFieldD13":{"type":"string"},"CustomFieldD14":{"type":"string"},"CustomFieldD15":{"type":"string"},"CustomFieldD16":{"type":"string"},"CustomFieldD17":{"type":"string"},"CustomFieldD18":{"type":"string"},"CustomFieldD19":{"type":"string"},"CustomFieldD2":{"type":"string"},"CustomFieldD20":{"type":"string"},"CustomFieldD21":{"type":"string"},"CustomFieldD22":{"type":"string"},"CustomFieldD23":{"type":"string"},"CustomFieldD24":{"type":"string"},"CustomFieldD25":{"type":"string"},"CustomFieldD26":{"type":"string"},"CustomFieldD27":{"type":"string"},"CustomFieldD28":{"type":"string"},"CustomFieldD29":{"type":"string"},"CustomFieldD3":{"type":"string"},"CustomFieldD30":{"type":"string"},"CustomFieldD4":{"type":"string"},"CustomFieldD5":{"type":"string"},"CustomFieldD6":{"type":"string"},"CustomFieldD7":{"type":"string"},"CustomFieldD8":{"type":"string"},"CustomFieldD9":{"type":"string"},"DeleteFlag":{"type":"boolean"},"Description":{"type":"string"},"Discount":{"type":"number"},"DiscountTypeId":{"type":"number"},"DiscountTypeName":{"type":"string"},"EditState":{"type":"boolean"},"EffectiveUnitPrice":{"type":"number"},"ExternalItemNumber":{"type":"string"},"ForceSalesTaxCode":{"type":"boolean"},"HasRestriction":{"type":"boolean","nullable":true},"Id":{"type":"number"},"InventoryLocChangeList":{"type":"array","items":{"type":"object","additionalProperties":true},"nullable":true},"InvoiceId":{"type":"number"},"IsTaxableFlag":{"type":"boolean"},"IsoCode2":{"type":"string"},"IsoCountryName":{"type":"string"},"ItemId":{"type":"number"},"ItemNumber":{"type":"string"},"ItemTypeId":{"type":"number"},"ItemTypeName":{"type":"string"},"LineNumber":{"type":"number"},"ModifyDttm":{"type":"string","nullable":true},"ModifySource":{"type":"string","nullable":true},"OldQty":{"type":"number"},"ProjectClassId":{"type":"number","nullable":true},"ProjectClassName":{"type":"string"},"Qty":{"type":"number"},"QtyDecimalFlag":{"type":"boolean"},"RefId":{"type":"number","nullable":true},"RestrictionOverrideFlag":{"type":"boolean","nullable":true},"RestrictionOverridePrice":{"type":"number","nullable":true},"RestrictionOverrideUser":{"type":"string"},"SellUomId":{"type":"number"},"SellUomName":{"type":"string"},"SoId":{"type":"number"},"SoLineId":{"type":"number"},"SoNumber":{"type":"string"},"StatusId":{"type":"number"},"TaxAmount":{"type":"number"},"TaxCodeId":{"type":"number"},"TaxCodeName":{"type":"string"},"TaxData":{"properties":{"taxItems":{"items":{"properties":{"itemAmount":{"type":"number"},"itemId":{"type":"number"},"itemName":{"type":"string"},"itemRatePerc":{"type":"number"},"lineAmount":{"type":"number"}},"type":"object"},"type":"array"},"totalAmount":{"type":"number"}},"type":"object"},"TaxItems":{"items":{"properties":{"Id":{"type":"number"},"Name":{"type":"string"},"Rate":{"type":"number"},"RateType":{"type":"string"},"TotalAmount":{"type":"number"}},"type":"object"},"type":"array"},"ThirdPartyRefNo":{"type":"string"},"ThirdPartySource":{"type":"string"},"TotalAmount":{"type":"number"},"TxnId":{"type":"string"},"TxnNumber":{"type":"number"},"TxnTypeId":{"type":"number","nullable":true},"UnitPrice":{"type":"number"},"UomFactor":{"type":"number"},"VASItemCost":{"type":"number","nullable":true},"VASItemId":{"type":"number","nullable":true},"VASItemName":{"type":"string"}},"type":"object"},"type":"array"},"shipCartonArr":{"type":"array","items":{"type":"object","additionalProperties":true},"nullable":true}},"type":"object"},"type":"array"},"IsForwardRequest":{"type":"boolean"},"Message":{"type":"string"},"MessageTitle":{"type":"string","nullable":true},"Result":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}}},"tags":["Invoice Management"],"description":"Retrieves List of invoices from the database.\nThe data returned from this API will be paged<br>\n<b>Paging supported</b>.","operationId":"get_invoice_getinvoice","summary":"List Invoices"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xorosoft.com/developers-api/invoice-management/list-invoices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
